Usns john lewis FY24 MTA w/ dry docking

Closed Solicitation Posted

This opportunity was awarded. See the award notice from .

Solicitation number
N3220524R4097
Agency
Responses due
Set-aside
No set-aside

Opportunity facts

NAICS code
336611 Ship Building and Repairing

Notice details come from SAM.gov. Updated .

About this opportunity

The Department of the Navy Military Sealift Command is seeking proposals for the FY24 JOHN LEWIS MTA W/ DRY DOCKING. The selected contractor will be required to provide maintenance, repair, and overhaul services for the USNS JOHN LEWIS. Key contract requirements include dry docking the vessel. Proposals will be evaluated based on technical approach, past performance, and cost. Interested parties must submit proposals by the due date of June 18, 2024. Any questions regarding the solicitation should be submitted by the deadline specified in the notice.

This is an unrestricted solicitation, meaning it is not set aside for small businesses or any other designated group. The current incumbent contractor is unknown. The budget range and potential award value are not disclosed in the notice. The place of performance is also not specified. The notice indicates that the contract will have a duration of one year, but does not provide any details on the quantity of services required.

Notice text

10 versions

Update #10 · Latest ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0009; REVISE WI 0156

Update #9 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0008: The purpose of this amendment is to: 1) Extend RFP due date to April 30, 2024 due to outstanding RFC answers. 2) Increase POP to from 75 days to 110 days 3) Provide missing ODC value 4) Answer revision of RFC 014 and RFC 015

Update #8 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0007 completed in order to: 1)Revise work items 0561 and 0021 2)Incorporate RFC 005-019 3)Inform that RFC period is closed . In total there were 19 answered RFCs. Contact MSC contracting officer if all have not been received.

Update #7 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0006 completed in order to: Extend RFC deadline to 4/05/2024 and extend solicitation closing deadline to 4/22/2024.

Update #6 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0005 completed in order to:1) Addition of Work Item 0548 and 0597 2) Revision of Work Item Index to include additional requirements 3) Update Work Item Index and J2

Update #5 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0004 completed to increase Period of Performance (POP) timeline from 45 days to 75 days.

Update #4 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0003 completed to extend RFC deadline to 3/22/2024 and extend solicitation closing date to 4/8/2024.

Update #3 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 0002 completed to correct ship check date to 2/23/2024.

Update #2 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING; Amendment 001 completed to correct the response date time zone to reflect 5pm EST on the SAM.gov posting

Update #1 ·

FY24 JOHN LEWIS MTA W/ DRY DOCKING

Notice history

Notice Type Posted
Usns john lewis FY24 MTA w/ dry docking Award Award Notice
This notice Latest solicitation Solicitation

Similar open opportunities

Opportunity Agency Set-aside Responses due
Dry-dock: USCGC JOHN MCCORMICK DD FY27 Alaska, United States · NAICS 336611 — No set-aside
Usns joshua humphreys (t-AO 188) FY27 ROH/DD NAICS 336611 Military Sealift Command Total Small Business
USS lewis b puller -MTA -FY 27. NAICS 336611 Naval Supply Systems Command No set-aside
ESD 26R0018 solicitation Conus · NAICS 483111 Military Sealift Command Total Small Business
USCGC joseph tezanos drydock availability FY2027 San Juan, Puerto Rico, United States · NAICS 336611 Coast Guard No set-aside

On GovTribe

Work this opportunity

  • Track it in your pipeline
  • Find teaming partners
  • Similar opportunities
  • Ask GovTribe AI about this opportunity